Package: groovy.jmx.builder

## [Java] Class JmxEventListener

- groovy.jmx.builder.JmxEventListener

- All Implemented Interfaces and Traits:
    NotificationListener

      public class JmxEventListener
      extends Object
      implements NotificationListener

  The JmxEventListener class is used by the builder to listen to events on the event bus. It is used internally by JmxBuilder to handle attribute-change and operation-invoke events on the bean() node.

  See Also:
    JmxBeanFactory

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static JmxEventListener` | `getListener()` Factory method that returns an instance of the listener.
    `` | `public void` | `handleNotification(Notification notification, Object handback)` This is the implemented method for NotificationListener.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public static JmxEventListener getListener()

      Factory method that returns an instance of the listener.

      Returns:
        - JmxEventListener instance.

    - #### @Override
      public void handleNotification(Notification notification, Object handback)

      This is the implemented method for NotificationListener. It is called by an event emitter to dispatch JMX events to listeners. Here it handles internal JmxBuilder events.

      Parameters:
        `notification` - the notification object passed to closure used to handle JmxBuilder events.
        `handback` - - In this case, the handback is the closure to execute when the event is handled.